Bug 826831 - preupgrade from F16 to F17 leaves gstreamer with no "autoaudiosink"
preupgrade from F16 to F17 leaves gstreamer with no "autoaudiosink"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-good (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 01:28 EDT by Aaron Schlaegel
Modified: 2013-08-01 03:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:45:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aaron Schlaegel 2012-05-31 01:28:41 EDT
Description of problem:
After a successful preupgrade from a working F16 system to F17, existing users are left with a gstreamer unable to use "autoaudiosink".

There were no error messages in the preupgrade process.

totem and quodlibet both are then unable to use audio.


Version-Release number of selected component (if applicable):
$ rpm -qa '*gstreamer*' | sort
gstreamer-0.10.36-1.fc17.x86_64
gstreamer-ffmpeg-0.10.13-2.fc17.x86_64
gstreamer-plugins-bad-0.10.22-4.fc17.x86_64
gstreamer-plugins-bad-free-0.10.23-2.fc17.x86_64
gstreamer-plugins-bad-free-extras-0.10.23-2.fc17.x86_64
gstreamer-plugins-bad-nonfree-0.10.22-3.fc17.x86_64
gstreamer-plugins-base-0.10.36-1.fc17.x86_64
gstreamer-plugins-base-tools-0.10.36-1.fc17.x86_64
gstreamer-plugins-entrans-0.10.3-4.fc17.x86_64
gstreamer-plugins-entrans-docs-0.10.3-4.fc17.noarch
gstreamer-plugins-espeak-0.3.5-2.fc17.x86_64
gstreamer-plugins-good-0.10.31-1.fc17.x86_64
gstreamer-plugins-ugly-0.10.19-1.fc17.x86_64
gstreamer-python-0.10.19-3.fc17.x86_64
gstreamer-rtsp-0.10.8-2.fc17.x86_64
gstreamer-tools-0.10.36-1.fc17.x86_64
PackageKit-gstreamer-plugin-0.7.4-3.fc17.x86_64
rubygem-gstreamer-1.1.3-2.fc17.x86_64


Steps to Reproduce:
1. Start with a working F16 system, that has existing users
2. Upgrade the system using preupgrade
3. Try to play an ogg file (like /usr/share/sounds/gnome/default/alerts/bark.ogg)
  
Actual results:
no audio in gstreamer programs.
Here is what quodlibet spits out...
2:41:35.910927120  7790      0x570df60 ERROR           GST_PIPELINE ./grammar.y:661:priv_gst_parse_yyparse: no element "autoaudiosink"
2:41:35.910983342  7790      0x570df60 ERROR           GST_PIPELINE ./grammar.y:929:priv_gst_parse_launch: Unrecoverable syntax error while parsing pipeline autoaudiosink
W: Invalid GStreamer output pipeline, trying default.
2:41:35.911112129  7790      0x570df60 ERROR           GST_PIPELINE ./grammar.y:661:priv_gst_parse_yyparse: no element "autoaudiosink"
2:41:35.911134618  7790      0x570df60 ERROR           GST_PIPELINE ./grammar.y:929:priv_gst_parse_launch: Unrecoverable syntax error while parsing pipeline autoaudiosink
W: Could not create default GStreamer pipeline.
2:41:35.911229742  7790      0x570df60 ERROR           GST_PIPELINE ./grammar.y:661:priv_gst_parse_yyparse: no element "autoaudiosink"
2:41:35.911252371  7790      0x570df60 ERROR           GST_PIPELINE ./grammar.y:929:priv_gst_parse_launch: Unrecoverable syntax error while parsing pipeline autoaudiosink
W: Invalid GStreamer output pipeline, trying default.
2:41:35.911320047  7790      0x570df60 ERROR           GST_PIPELINE ./grammar.y:661:priv_gst_parse_yyparse: no element "autoaudiosink"
2:41:35.911342117  7790      0x570df60 ERROR           GST_PIPELINE ./grammar.y:929:priv_gst_parse_launch: Unrecoverable syntax error while parsing pipeline autoaudiosink
W: Could not create default GStreamer pipeline.



Expected results:
Audio will play.

Additional info:
This can be resolved by...
$ mv /home/aaron/.gstreamer-0.10 /home/aaron/.gstreamer-0.10.fc16old

This must be run by each user, and seems overly intrusive, since .gstreamer preferences are removed.
Comment 1 gareth foster 2012-09-07 15:44:38 EDT
I've had this as well, and I didn't use preupgrade, I just reinstalled from F17 DVD, but kept my home partition.
Comment 2 Fedora End Of Life 2013-07-03 22:13:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 03:45:59 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.